MAJ depuis la version 2.0.22 possible ?

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.0.x. depuis une version antérieure de phpBB3 ou d'une conversion de phpBB2 vers phpBB3.

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.
Partager sur FacebookPartager sur TwitterPartager sur Google+

MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 03 Avr 2012 à 23:25

Bonsoir,

J'ai crée mon forum en 2007, j'ai installé la dernière version que j'ai pu télécharger à l'époque et depuis le forum tourne. Aucun soucis particulier. Sauf que j'aimerais bien le mettre à jour quand même mais que je n'ai pas fait les MAJ petit à petit et que je suis encore en 2.0.22 ...
Est-ce qu'un MAJ est possible ? Serait-elle compliquée pour la novice que je suis ? Que me conseilleriez-vous à part une bonne sauvegarde avant de me lancer ? (déjà fait ! ;))
Merci d'avance pour vos précieux conseils donc :)

Bonne soirée.

Vir.

*** EDIT du 20 sept.***

Quelle est l'url du forum ? http://mamans.de.gones.free.fr
Quel est le nom de l'hébergeur ? free
Quelle est la version actuelle du forum ? phpBB2 version 2.0.22
Quelle est la taille de la base de donnée actuelle ? 58,4 Mo

Petit résumé de la situation :
J'ai souhaité faire une MAJ du forum. Pour cela j'ai sauvegardé ma BDD plusieurs fois... Une fois par le panneau d'administration et une fois via phpmyadmin. J'ai merdé, souhaité revenir en arrière en re-uppant le forum sur le server et re-important ma BDD mais ça ne fonctionne plus. J'ai perdu tous les posts entre mai et août + un truc bizarre avec les dates : http://mamans.de.gones.free.fr/divers/erreur-date.jpg

J'ai renvoyé ma BDD par morceaux. Tout s'est bien passé jusqu'à la fin de mon fichier, voici l'erreur :
Code: Tout sélectionner
#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '


Je me suis rendue compte que la fin de mon fichier de sauvegarde n'est pas complet (d'où l'erreur). Comme j'avais envoyé le principal (les posts, leur contenu) j'ai récupéré un vieux fichier de sauvegarde et j'ai continué à envoyer des requêtes à partir de là où je m'étais arrêtée. Ca a fonctionné jusqu'à la fin ou presque :-)

Dernière requête envoyée :
http://pastebin.com/CcAiHNNt

L'erreur en retour :
Erreur
requête SQL:

Code: Tout sélectionner
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;



MySQL a répondu:

Code: Tout sélectionner
#1298 - Unknown or incorrect time zone: 'NULL' 



Puis lolo voisin m'a conseillé ceci :
lolovoisin a écrit:supprimez ces lignes de code dasn votre sauvegarde:
/*!40000 ALTER TABLE `phpbb_words` DISABLE KEYS */;
/*!40000 ALTER TABLE `phpbb_words` ENABLE KEYS */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

et refaites l'import


Je n'ai trouvé que les 2 premières lignes dans mon fichier, pas le reste... J'ai modifié la table concernée et reimportée seulement celle-ci, le problème reste le même...

Je suis bloquée ici depuis fin août... :cry:
Dernière édition par Skouat le 20 Sep 2012 à 22:51, édité 2 fois.
Raison: Mise en place des balises code et mise en lien avec pastebin du code dépassant les 20 lignes
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar cabot » 04 Avr 2012 à 11:45

Hello,

Il me semble que cette doc devrait retenir toute ton attention : convertir phpBB2 vers phpBB3 en passant par Wamp ^^
Après toute modification de style, ne pas oublier de rafraîchir le style et vider le cache.
Image
Avatar de l’utilisateur
cabot
Resp. des graphistes
Resp. des graphistes
 
Messages: 18172
Inscription: 13 Fév 2011 à 20:42
Localisation: Rarement sur la plaque.

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 04 Avr 2012 à 13:43

Merci ! Mais j'ai oublié une information importante : à l'époque j'étais sous Windows mais aujourd'hui je suis chez apple...

Après recherches je vois que l'équivalent mac de Wamp est mamp mais la notice n'a plus d'intérêt pour le coup. Je crois que ça va être compliqué... Le plus simple est de racketter un PC le temps de faire ma conversion non ? :mrgreen:
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 04 Avr 2012 à 13:47

Trouvé cette conv' mais ça ne me dit pas si je peux utiliser (ou pas !) la même notice...
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar Invité » 04 Avr 2012 à 14:42

Salut,

Merci de ne pas faire de up en moins de 24H.
Il aurait fallu éditer votre précédent message pour y ajouter le complément d'informations et pas re-poster à la suite.

@+
ZePhYmA ;)
Invité
 

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar lolovoisin » 05 Avr 2012 à 07:34

Ben je dirais peut importe que vous soyez mac ou pc, C'est plutôt niveau serveur que ça se joue.
Vous pouvez faire la MAJ en live, mais il est bien sur conseillé de faire des sauvegarde avant de la base et des fichiers.
Après niveau utilisation de mamp ou wamp, ca doit se ressembler du moins sur le fonctionnement de base.
il y a des tutos mamp par là sur le net.
Ceux qui échouent trouvent des excuses, ceux qui réussissent trouvent les moyens
Quand un homme a faim, mieux vaut lui apprendre à pêcher que de lui donner un poisson.
PAS DE SUPPORT PAR MP !!

tutophpbb3 + astuce + tutos debian
Avatar de l’utilisateur
lolovoisin
Supporter
Supporter
 
Messages: 39305
Inscription: 04 Mai 2006 à 13:16
Localisation: Dans la BDD ...

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 10 Avr 2012 à 15:31

Merci pour ces remarques mais ça ne m'aide pas. Je ne comprends rien comme je l'ai expliqué :) Il me faut la base déjà pour comprendre ce que je fais, sur quoi j'agis, comment s'imbrique tout ça parce que vous me parleriez chinois que ce serait pas pire ;) Je n'ai à faire qu'à des experts qui savent de quoi ils parlent eux... Donc je vais me renseigner, apprendre la base et je reviens ;) Ou pas ! :lol:

(Au passage je valide le topic comme étant résolu)
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar cabot » 10 Avr 2012 à 16:04

Il y a ce tuto sur l'utilisation de mamp, peut-être que cela va te permettre de l'apprivoiser un peu avant de revenir éplucher celui-ci.

:D
Après toute modification de style, ne pas oublier de rafraîchir le style et vider le cache.
Image
Avatar de l’utilisateur
cabot
Resp. des graphistes
Resp. des graphistes
 
Messages: 18172
Inscription: 13 Fév 2011 à 20:42
Localisation: Rarement sur la plaque.

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 10 Avr 2012 à 22:06

Merci.

Bon j'avance lentement mais surement. Mamp est installé et configuré. J'ai exporté ma base de données via phpMyadmin mais à l'import en local j'ai un message d'erreur qui n'est pas dans la liste de ce post.
Je précise que j'ai tenté de re-exporter ma base mais le message est le même. Il intervient à la toute fin des copiés/collés des lignes de codes (mon fichier fait + de 2 Mo)
J'arrive à re-importer seulement 15 tables sur les 35 existantes...
Le message d'erreur est le suivant :
Erreur

requête SQL:

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr" dir="ltr"> <head> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <link rel="icon" href="./favicon.ico" type="image/x-icon" /> <link rel="shortcut icon" href="./favicon.ico" type="image/x-icon" /> <title>phpMyAdmin</title> <link rel="stylesheet" type="text/css" href="phpmyadmin.css.php?token=fb6f6578df0ed4c775b1f481346b0fc7&amp;js_frame=right&amp;nocache=3732577810" /> <link rel="stylesheet" type="text/css" href="print.css" media="print" /> <meta name="robots" content="noindex,nofollow" /> <script type="text/javascript"> try { // can't access this if on a different domain var topdomain = top.document.domain; // double-check just for sure if (topdomain != self.document.domain) { alert("Redirecting..."); [...]

MySQL a répondu: Documentation
#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot;
&quot;http://www.' at line 1
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 21 Avr 2012 à 23:30

Bonsoir,

Personne pour m'aider ? :(
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 03 Juin 2012 à 17:56

Bonsoir,

Toujours pas ? Je suis bloquée... Merci d'avance.
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar Morgyanne » 18 Juin 2012 à 19:27

Salut,

tu as bien réinstallé ton forum phpBB2 en local, puis installé un forum phpBB3 avant de faire la conversion.
C'est quoi le code que tu indiques ? Cela ne correspond pas à ce que l'on peut trouver pour une sauvegarde de base par phpMyAdmin.

@+
Morgyanne :)
Demande de support par MP = Poubelle
Avatar de l’utilisateur
Morgyanne
Marvelous girl
Marvelous girl
 
Messages: 32217
Inscription: 21 Mar 2005 à 13:28
Localisation: Juste derrière toi...

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 22 Aoû 2012 à 23:13

Bonsoir,

La suite : J'ai installé phpBB3, ça fonctionne jusqu'à l'import de ma BDD... L'erreur est la suivante :

requête SQL:
INSERT INTO phpbb_posts( post_id, topic_id, forum_id, poster_id, post_time, poster_ip, post_username, enable_bbcode, enable_html, e

MySQL a répondu:
#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1


... Help !

Merci
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar papicx » 22 Aoû 2012 à 23:48

bonjour
ta requête SQL est incomplète.
normalement une requête SQL se termine par un point-virgule.
dans ton cas se devrait même être une paranthèse suivie du point-virgule.
question : comment se fait il que ta requête soit incomplète ?
tu fais un copier-coller de qq chose ?

quelqu'un de plus compétent que moi te confirmera mes propos de façon plus précise.
Là avec mon phone c'est compliqué pour moi de t'aider + que ça. désolé.

Papi depuis mon Samsung Galaxy S3 avec Tapatalk.
traducteur depuis juillet 2012 dans l'équipe de forums.phpbb-fr.com
ma présentation - Bien utiliser Notepad++ -
Image
Avatar de l’utilisateur
papicx
Traducteur
Traducteur
 
Messages: 3265
Inscription: 16 Oct 2006 à 18:04
Localisation: Courbevoie ( 92 )

Re: MAJ depuis la version 2.0.22 possible ?

Messagepar stopele » 22 Aoû 2012 à 23:56

Non j'ai fait un import de la sauvegarde (réalisée dans le panneau d'administration du forum) dans phpmyadmin...

Je suis perdue... Je ne comprends pas ce que je fais... Et ça m'agace !

Je viens de me rendre compte qu'un export de ma BBD via le panneau d'administration du forum ou via phpmyadmin ne me fourni pas un fichier de taille identique... Je passe de 2Mo dans un cas à + de 40 dans l'autre... Pourquoi ?

J'ai parcouru un peu les forums en tous genres ce soir et j'ai lu qu'il serait préférable que je fasse une MAJ de ma version 2.0.22 vers 2.0.23 et qu'en suite la MAJ vers phpBB3 serait plus simple... Tu me confirmes ?

*** EDIT ***

Je viens de reimporter le fichier que j'avais exporté en début de soirée : même erreur. J'ai perdu les posts de mai à ce jour. "Mai" c'est la dernière sauvegarde via phpmyadmin et non pas via le panneau de configuration...

N'ayant pas de nouvelles ici "on" m'a dit que la sauvegarde de la BDD via le panneau de configuration était la même que via phpmyadmin, j'ai fait confiance... Je suis dégoûtée :-(

*** NEW EDIT ***

J'avais fait une sauvegarde dans la soirée via phpmyadmin (taille + de 40Mo) j'ai tenté de l'importer et j'ai ce message d'erreur :

Vous avez probablement tenté de télécharger un fichier trop volumineux. Veuillez vous référer à la documentation pour des façons de contourner cette limite.

L'urgence est de récupérer les posts perdus peut-être via cette sauvegarde que j'essaie de reimporter mais qui plante... Quelqu'un peut-il m'aider ?
stopele
Posteur néophyte
Posteur néophyte
 
Messages: 43
Inscription: 06 Juil 2007 à 23:22

Suivante

Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Google [Bot] et 4 invités